//
//  QHVCScreenCastKit.h
//  QHVCScreenCastKit
//
//  Created by yangkui on 2018/8/16.
//  Copyright © 2018年 yangkui. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "QHVCDLANMediaController.h"
#import <QHVCCommonKit/QHVCCommonKit.h>

NS_ASSUME_NONNULL_BEGIN

@interface QHVCScreenCastKit : NSObject

/// 设置日志等级（控制台输出）
/// @param logLevel 控制台输出日志等级
+ (void)setLogLevel:(QHVCLogLevel)logLevel;

/// 设置日志保存路径
/// filePath 日志保存路径，用户若不需要额外指定，可以传nil
+ (void)setLogFile:(nullable NSString *)filePath;

/// 设置日志输出回调，供业务调试使用（仅供开发阶段）
/// @param callback 回调block
+ (void)setLogOutputCallBack:(void(^)(QHVCLogLevel level, NSString *data))callback;

/**
 获取sdk版本号
 
 @return 版本号
 */
+ (NSString *)getSdkVersion;

@end

NS_ASSUME_NONNULL_END
